diff --git a/tests/test_flask.py b/tests/test_flask.py
index 38cb7d7..264c9cb 100644
--- a/tests/test_flask.py
+++ b/tests/test_flask.py
@@ -1131,16 +1211,17 @@ class Flasktests(Modeltests):
             output = self.app.post('/calendar/clear/test_calendar/', data=data,
                                    follow_redirects=True)
             self.assertEqual(output.status_code, 200)
-            self.assertTrue(
-                '<title>Clear calendar - Fedocal</title>' in output.data)
-            self.assertTrue(
-                "Are you positively sure that's what you want to do?"
-                in output.data)
-            self.assertTrue(
-                'name="confirm_delete" type="checkbox" value="y"><label'
-                in output.data)
-
-            csrf_token = output.data.split(
+            output_text = output.get_data(as_text=True)
+            self.assertIn(
+                '<title>Clear calendar - Fedocal</title>', output_text)
+            self.assertIn(
+                "Are you positively sure that's what you want to do?",
+                output_text)
+            self.assertIn(
+                'name="confirm_delete" type="checkbox" value="y"><label',
+                output_text)
+
+            csrf_token = output_text.split(
                 'name="csrf_token" type="hidden" value="')[1].split('">')[0]
 
             # No delete
@@ -1151,10 +1232,11 @@ class Flasktests(Modeltests):
             output = self.app.post('/calendar/clear/test_calendar/',
                                    data=data, follow_redirects=True)
             self.assertEqual(output.status_code, 200)
-            self.assertTrue(
-                '<title>test_calendar - Fedocal</title>' in output.data)
-            self.assertTrue(
-                '<title>test_calendar - Fedocal</title>' in output.data)
+            output_text = output.get_data(as_text=True)
+            self.assertIn(
+                '<title>test_calendar - Fedocal</title>', output_text)
+            self.assertIn(
+                '<title>test_calendar - Fedocal</title>', output_text)
 
             # Delete
             data = {
@@ -1165,13 +1247,14 @@ class Flasktests(Modeltests):
             output = self.app.post('/calendar/clear/test_calendar/',
                                    data=data, follow_redirects=True)
             self.assertEqual(output.status_code, 200)
-            self.assertTrue(
-                '<title>test_calendar - Fedocal</title>' in output.data)
-            self.assertTrue(
-                '<title>test_calendar - Fedocal</title>' in output.data)
-            self.assertTrue(
-                '<li class="message">Calendar cleared</li>'
-                in output.data)
+            output_text = output.get_data(as_text=True)
+            self.assertIn(
+                '<title>test_calendar - Fedocal</title>', output_text)
+            self.assertIn(
+                '<title>test_calendar - Fedocal</title>', output_text)
+            self.assertIn(
+                '<li class="message">Calendar cleared</li>',
+                output_text)
 
     @flask10_only
     def test_edit_calendar(self):
@@ -1183,32 +1266,33 @@ class Flasktests(Modeltests):
             output = self.app.get('/calendar/edit/test_calendar/',
                                   follow_redirects=True)
             self.assertEqual(output.status_code, 200)
-            self.assertTrue(
+            output_text = output.get_data(as_text=True)
+            self.assertIn(
                 '<li class="errors">You are not a fedocal admin, you are '
-                'not allowed to edit the calendar.</li>' in output.data)
-            self.assertTrue(
-                '<title>Home - Fedocal</title>'
-                in output.data)
+                'not allowed to edit the calendar.</li>', output_text)
+            self.assertIn(
+                '<title>Home - Fedocal</title>', output_text)
 
         user = FakeUser(['packager'], username='kevin')
         with user_set(fedocal.APP, user):
             output = self.app.get('/calendar/edit/1/',
                                   follow_redirects=True)
             self.assertEqual(output.status_code, 200)
-            self.assertTrue(
-                '<li class="errors">No calendar named 1 could be found</li'
-                in output.data)
+            output_text = output.get_data(as_text=True)
+            self.assertIn(
+                '<li class="errors">No calendar named 1 could be found</li',
+                output_text)
 
             output = self.app.get('/calendar/edit/test_calendar/')
             self.assertEqual(output.status_code, 200)
-            self.assertTrue(
-                '<title>Edit calendar - Fedocal</title>' in output.data)
-            self.assertTrue(
-                '<h2>Edit calendar "test_calendar"</h2>'
-                in output.data)
-            self.assertTrue(
-                'class="submit positive button" value="Edit">'
-                in output.data)
+            output_text = output.get_data(as_text=True)
+            self.assertIn(
+                '<title>Edit calendar - Fedocal</title>', output_text)
+            self.assertIn(
+                '<h2>Edit calendar "test_calendar"</h2>', output_text)
+            self.assertIn(
+                'class="submit positive button" value="Edit">',
+                output_text)
 
             # No data
             data = {}
@@ -1216,16 +1300,16 @@ class Flasktests(Modeltests):
             output = self.app.post('/calendar/edit/test_calendar/', data=data,
                                    follow_redirects=True)
             self.assertEqual(output.status_code, 200)
-            self.assertTrue(
-                '<title>Edit calendar - Fedocal</title>' in output.data)
-            self.assertTrue(
-                '<h2>Edit calendar "test_calendar"</h2>'
-                in output.data)
-            self.assertTrue(
-                'class="submit positive button" value="Edit">'
-                in output.data)
+            output_text = output.get_data(as_text=True)
+            self.assertIn(
+                '<title>Edit calendar - Fedocal</title>', output_text)
+            self.assertIn(
+                '<h2>Edit calendar "test_calendar"</h2>', output_text)
+            self.assertIn(
+                'class="submit positive button" value="Edit">',
+                output_text)
 
-            csrf_token = output.data.split(
+            csrf_token = output_text.split(
                 'name="csrf_token" type="hidden" value="')[1].split('">')[0]
 
             # No info except the csrf token
@@ -1236,14 +1320,15 @@ class Flasktests(Modeltests):
             output = self.app.post('/calendar/edit/test_calendar/',
                                    data=data, follow_redirects=True)
             self.assertEqual(output.status_code, 200)
+            output_text = output.get_data(as_text=True)
             self.assertEqual(
-                output.data.count('<td>This field is required.</td>'), 2)
-            self.assertTrue(
-                '<h2>Edit calendar "test_calendar"</h2>'
-                in output.data)
-            self.assertTrue(
-                'class="submit positive button" value="Edit">'
-                in output.data)
+                output_text.count('<td>This field is required.</td>'), 2)
+            self.assertIn(
+                '<h2>Edit calendar "test_calendar"</h2>',
+                output_text)
+            self.assertIn(
+                'class="submit positive button" value="Edit">',
+                output_text)
 
             # Edit
             data = {
@@ -1256,17 +1341,18 @@ class Flasktests(Modeltests):
             output = self.app.post('/calendar/edit/test_calendar/',
                                    data=data, follow_redirects=True)
             self.assertEqual(output.status_code, 200)
-            self.assertTrue(
-                '<title>Election1 - Fedocal</title>' in output.data)
-            self.assertTrue(
-                '<li class="message">Calendar updated</li>'
-                in output.data)
-            self.assertFalse(
-                '<span class="calendar_name">test_calendar</span>'
-                in output.data)
-            self.assertFalse(
-                '<span class="calendar_name">election1</span>'
-                in output.data)
+            output_text = output.get_data(as_text=True)
+            self.assertIn(
+                '<title>Election1 - Fedocal</title>', output_text)
+            self.assertIn(
+                '<li class="message">Calendar updated</li>',
+                output_text)
+            self.assertNotIn(
+                '<span class="calendar_name">test_calendar</span>',
+                output_text)
+            self.assertNotIn(
+                '<span class="calendar_name">election1</span>',
+                output_text)
 
     @flask10_only
     def test_auth_logout(self):
@@ -1275,19 +1361,21 @@ class Flasktests(Modeltests):
         with user_set(fedocal.APP, user):
             output = self.app.get('/logout/', follow_redirects=True)
             self.assertEqual(output.status_code, 200)
-            self.assertTrue('<title>Home - Fedocal</title>' in output.data)
-            self.assertTrue(
-                '<li class="message">You have been logged out</li>'
-                in output.data)
+            output_text = output.get_data(as_text=True)
+            self.assertIn('<title>Home - Fedocal</title>', output_text)
+            self.assertIn(
+                '<li class="message">You have been logged out</li>',
+                output_text)
 
         user = None
         with user_set(fedocal.APP, user):
             output = self.app.get('/logout/', follow_redirects=True)
             self.assertEqual(output.status_code, 200)
-            self.assertTrue('<title>Home - Fedocal</title>' in output.data)
-            self.assertFalse(
-                '<li class="message">You have been logged out</li>'
-                in output.data)
+            output_text = output.get_data(as_text=True)
+            self.assertIn('<title>Home - Fedocal</title>', output_text)
+            self.assertNotIn(
+                '<li class="message">You have been logged out</li>',
+                output_text)
 
     @flask10_only
     def test_my_meetings(self):
@@ -1297,29 +1385,32 @@ class Flasktests(Modeltests):
         with user_set(fedocal.APP, user):
             output = self.app.get('/mine/', follow_redirects=True)
             self.assertEqual(output.status_code, 200)
-            self.assertTrue(
-                '"errors">You must be in one more group than the CLA</li>'
-                in output.data)
+            output_text = output.get_data(as_text=True)
+            self.assertIn(
+                '"errors">You must be in one more group than the CLA</li>',
+                output_text)
 
         user = FakeUser()
         user.cla_done=False
         with user_set(fedocal.APP, user):
             output = self.app.get('/mine/', follow_redirects=True)
             self.assertEqual(output.status_code, 200)
-            self.assertTrue('<title>Home - Fedocal</title>' in output.data)
+            output_text = output.get_data(as_text=True)
+            self.assertIn('<title>Home - Fedocal</title>', output_text)
 
         user = FakeUser(['packager'], username='pingou')
         with user_set(fedocal.APP, user):
             output = self.app.get('/mine/', follow_redirects=True)
             self.assertEqual(output.status_code, 200)
-            self.assertTrue(
-                '<title>My meetings - Fedocal</title>' in output.data)
-            self.assertTrue(
-                '<td> Full-day meeting </td>' in output.data)
-            self.assertTrue(
-                '<td> test-meeting2 </td>' in output.data)
-            self.assertTrue(
-                '<td> Test meeting with reminder </td>' in output.data)
+            output_text = output.get_data(as_text=True)
+            self.assertIn(
+                '<title>My meetings - Fedocal</title>', output_text)
+            self.assertIn(
+                '<td> Full-day meeting </td>', output_text)
+            self.assertIn(
+                '<td> test-meeting2 </td>', output_text)
+            self.assertIn(
+                '<td> Test meeting with reminder </td>', output_text)
 
     @flask10_only
     def test_add_meeting(self):
@@ -1329,34 +1420,36 @@ class Flasktests(Modeltests):
         with user_set(fedocal.APP, user):
             output = self.app.get('/calendar_test/add/', follow_redirects=True)
             self.assertEqual(output.status_code, 200)
-            print(output.data)
-            self.assertTrue(
-                '"errors">No calendar named calendar_test could be found</'
-                in output.data)
+            output_text = output.get_data(as_text=True)
+            self.assertIn(
+                '"errors">No calendar named calendar_test could be found</',
+                output_text)
 
             output = self.app.get('/test_calendar/add/', follow_redirects=True)
             self.assertEqual(output.status_code, 200)
-            self.assertTrue(
+            output_text = output.get_data(as_text=True)
+            self.assertIn(
                 '<li class="errors">You are not one of the editors of this '
                 'calendar, or one of its admins, you are not allowed to add'
-                ' new meetings.</li>' in output.data)
-            self.assertTrue(
-                '<title>test_calendar - Fedocal</title>' in output.data)
+                ' new meetings.</li>', output_text)
+            self.assertIn(
+                '<title>test_calendar - Fedocal</title>', output_text)
 
         user = FakeUser(['fi-apprentice'], username='pingou')
         with user_set(fedocal.APP, user):
             output = self.app.get('/test_calendar/add/')
             self.assertEqual(output.status_code, 200)
-            self.assertTrue(
-                '<title>Add meeting - Fedocal</title>' in output.data)
-            self.assertTrue(
-                'meeting_name">Meeting name</label>' in output.data)
-            self.assertTrue(
-                'for="meeting_date">Date</label>' in output.data)
+            output_text = output.get_data(as_text=True)
+            self.assertIn(
+                '<title>Add meeting - Fedocal</title>', output_text)
+            self.assertIn(
+                'meeting_name">Meeting name</label>', output_text)
+            self.assertIn(
+                'for="meeting_date">Date</label>', output_text)
             self.assertEqual(
-                output.data.count('<span class="required">*</span>'), 5)
+                output_text.count('<span class="required">*</span>'), 5)
 
-            csrf_token = output.data.split(
+            csrf_token = output_text.split(
                 'name="csrf_token" type="hidden" value="')[1].split('">')[0]
 
             # Meeting should have a name
@@ -1372,8 +1465,9 @@ class Flasktests(Modeltests):
             output = self.app.post('/test_calendar/add/', data=data,
                                    follow_redirects=True)
             self.assertEqual(output.status_code, 200)
-            self.assertTrue(
-                '<td>This field is required.</td>' in output.data)
+            output_text = output.get_data(as_text=True)
+            self.assertIn(
+                '<td>This field is required.</td>', output_text)
 
             # Format of the start time wrong
             data = {
@@ -1389,9 +1483,10 @@ class Flasktests(Modeltests):
             output = self.app.post('/test_calendar/add/', data=data,
                                    follow_redirects=True)
             self.assertEqual(output.status_code, 200)
-            self.assertTrue(
-                '<td>Time must be of type &#34;HH:MM&#34;</td>'
-                in output.data)
+            output_text = output.get_data(as_text=True)
+            self.assertIn(
+                '<td>Time must be of type &#34;HH:MM&#34;</td>',
+                output_text)
 
             # Start time should have integer
             data = {
@@ -1407,9 +1502,10 @@ class Flasktests(Modeltests):
             output = self.app.post('/test_calendar/add/', data=data,
                                    follow_redirects=True)
             self.assertEqual(output.status_code, 200)
-            self.assertTrue(
-                '<td>Time must be of type &#34;HH:MM&#34;</td>'
-                in output.data)
+            output_text = output.get_data(as_text=True)
+            self.assertIn(
+                '<td>Time must be of type &#34;HH:MM&#34;</td>',
+                output_text)
 
             # End date earlier than the start date
             data = {
@@ -1426,11 +1522,12 @@ class Flasktests(Modeltests):
             output = self.app.post('/test_calendar/add/', data=data,
                                    follow_redirects=True)
             self.assertEqual(output.status_code, 200)
-            self.assertTrue(
+            output_text = output.get_data(as_text=True)
+            self.assertIn(
                 '<li class="warnings">The start date of your meeting is '
-                'later than the stop date.</li>' in output.data)
-            self.assertTrue(
-                '<title>Add meeting - Fedocal</title>' in output.data)
+                'later than the stop date.</li>', output_text)
+            self.assertIn(
+                '<title>Add meeting - Fedocal</title>', output_text)
 
             # Invalid location
             data = {
@@ -1447,10 +1544,11 @@ class Flasktests(Modeltests):
             output = self.app.post('/test_calendar/add/', data=data,
                                    follow_redirects=True)
             self.assertEqual(output.status_code, 200)
-            self.assertTrue(
-                '<td>Please use channel@server format!</td>' in output.data)
-            self.assertTrue(
-                '<title>Add meeting - Fedocal</title>' in output.data)
+            output_text = output.get_data(as_text=True)
+            self.assertIn(
+                '<td>Please use channel@server format!</td>', output_text)
+            self.assertIn(
+                '<title>Add meeting - Fedocal</title>', output_text)
 
             # Works
             data = {
@@ -1466,12 +1564,13 @@ class Flasktests(Modeltests):
             output = self.app.post('/test_calendar/add/', data=data,
                                    follow_redirects=True)
             self.assertEqual(output.status_code, 200)
-            self.assertTrue(
-                '<li class="message">Meeting added</li>' in output.data)
-            self.assertTrue(
-                'href="/meeting/16/?from_date=' in output.data)
-            self.assertFalse(
-                'href="/meeting/17/?from_date=' in output.data)
+            output_text = output.get_data(as_text=True)
+            self.assertIn(
+                '<li class="message">Meeting added</li>', output_text)
+            self.assertIn(
+                'href="/meeting/16/?from_date=', output_text)
+            self.assertNotIn(
+                'href="/meeting/17/?from_date=', output_text)
 
             # Works - with a wiki_link
             data = {
@@ -1488,12 +1587,13 @@ class Flasktests(Modeltests):
             output = self.app.post('/test_calendar/add/', data=data,
                                    follow_redirects=True)
             self.assertEqual(output.status_code, 200)
-            self.assertTrue(
-                '<li class="message">Meeting added</li>' in output.data)
-            self.assertTrue(
-                'href="/meeting/17/?from_date=' in output.data)
-            self.assertFalse(
-                'href="/meeting/18/?from_date=' in output.data)
+            output_text = output.get_data(as_text=True)
+            self.assertIn(
+                '<li class="message">Meeting added</li>', output_text)
+            self.assertIn(
+                'href="/meeting/17/?from_date=', output_text)
+            self.assertNotIn(
+                'href="/meeting/18/?from_date=', output_text)
 
             # Calendar disabled
             data = {
@@ -1509,13 +1609,14 @@ class Flasktests(Modeltests):
             output = self.app.post('/test_calendar_disabled/add/', data=data,
                                    follow_redirects=True)
             self.assertEqual(output.status_code, 200)
-            self.assertTrue(
+            output_text = output.get_data(as_text=True)
+            self.assertIn(
                 '<title>test_calendar_disabled - Fedocal</title>'
-                in output.data)
-            self.assertTrue(
+               , output_text)
+            self.assertIn(
                 '<li class="errors">This calendar is &#34;Disabled&#34;, '
                 'you are not allowed to add meetings anymore.</li>'
-                in output.data)
+               , output_text)
 
             # Fails - with an invalid email as recipient of the reminder
             data = {
@@ -1534,10 +1635,11 @@ class Flasktests(Modeltests):
             output = self.app.post('/test_calendar/add/', data=data,
                                    follow_redirects=True)
             self.assertEqual(output.status_code, 200)
-            self.assertTrue(
-                '<h2>New meeting</h2>' in output.data)
-            self.assertTrue(
-                '<td>Invalid email address.</td>' in output.data)
+            output_text = output.get_data(as_text=True)
+            self.assertIn(
+                '<h2>New meeting</h2>', output_text)
+            self.assertIn(
+                '<td>Invalid email address.</td>', output_text)
 
             # Fails - one of the two email specified as recipient of the
             # reminder is invalid
@@ -1557,10 +1659,11 @@ class Flasktests(Modeltests):
             output = self.app.post('/test_calendar/add/', data=data,
                                    follow_redirects=True)
             self.assertEqual(output.status_code, 200)
-            self.assertTrue(
-                '<h2>New meeting</h2>' in output.data)
-            self.assertTrue(
-                '<td>Invalid email address.</td>' in output.data)
+            output_text = output.get_data(as_text=True)
+            self.assertIn(
+                '<h2>New meeting</h2>', output_text)
+            self.assertIn(
+                '<td>Invalid email address.</td>', output_text)
 
             # Works - with one email as recipient of the reminder
             data = {
@@ -1579,16 +1682,17 @@ class Flasktests(Modeltests):
             output = self.app.post('/test_calendar/add/', data=data,
                                    follow_redirects=True)
             self.assertEqual(output.status_code, 200)
-            self.assertTrue(
-                '<li class="message">Meeting added</li>' in output.data)
-            self.assertTrue(
-                'href="/meeting/17/?from_date=' in output.data)
-            self.assertTrue(
-                'href="/meeting/18/?from_date=' in output.data)
-            self.assertTrue(
-                'Reminder' in output.data)
-            self.assertFalse(
-                'href="/meeting/19/?from_date=' in output.data)
+            output_text = output.get_data(as_text=True)
+            self.assertIn(
+                '<li class="message">Meeting added</li>', output_text)
+            self.assertIn(
+                'href="/meeting/17/?from_date=', output_text)
+            self.assertIn(
+                'href="/meeting/18/?from_date=', output_text)
+            self.assertIn(
+                'Reminder', output_text)
+            self.assertNotIn(
+                'href="/meeting/19/?from_date=', output_text)
 
             # Works - with two emails as recipient of the reminder
             data = {
@@ -1607,16 +1711,17 @@ class Flasktests(Modeltests):
             output = self.app.post('/test_calendar/add/', data=data,
                                    follow_redirects=True)
             self.assertEqual(output.status_code, 200)
-            self.assertTrue(
-                '<li class="message">Meeting added</li>' in output.data)
-            self.assertTrue(
-                'href="/meeting/18/?from_date=' in output.data)
-            self.assertTrue(
-                'href="/meeting/19/?from_date=' in output.data)
-            self.assertTrue(
-                'Reminder2' in output.data)
-            self.assertFalse(
-                'href="/meeting/20/?from_date=' in output.data)
+            output_text = output.get_data(as_text=True)
+            self.assertIn(
+                '<li class="message">Meeting added</li>', output_text)
+            self.assertIn(
+                'href="/meeting/18/?from_date=', output_text)
+            self.assertIn(
+                'href="/meeting/19/?from_date=', output_text)
+            self.assertIn(
+                'Reminder2', output_text)
+            self.assertNotIn(
+                'href="/meeting/20/?from_date=', output_text)
 
     @flask10_only
     def test_edit_meeting(self):
@@ -1626,47 +1731,51 @@ class Flasktests(Modeltests):
         with user_set(fedocal.APP, user):
             output = self.app.get('/meeting/edit/50/', follow_redirects=True)
             self.assertEqual(output.status_code, 200)
-            self.assertTrue(
-                'class="errors">The meeting #50 could not be found</li>'
-                in output.data)
-            self.assertTrue('<title>Home - Fedocal</title>' in output.data)
+            output_text = output.get_data(as_text=True)
+            self.assertIn(
+                'class="errors">The meeting #50 could not be found</li>',
+                output_text)
+            self.assertIn('<title>Home - Fedocal</title>', output_text)
 
             output = self.app.get('/meeting/edit/3/', follow_redirects=True)
             self.assertEqual(output.status_code, 200)
-            self.assertTrue(
+            output_text = output.get_data(as_text=True)
+            self.assertIn(
                 '<li class="errors">You are not one of the manager of this '
-                'meeting, or an admin, you are not allowed to edit it.</li>'
-                in output.data)
-            self.assertTrue(
-                '<title>Meeting "test-meeting23h59" - Fedocal</title>'
-                in output.data)
+                'meeting, or an admin, you are not allowed to edit it.</li>',
+                output_text)
+            self.assertIn(
+                '<title>Meeting "test-meeting23h59" - Fedocal</title>',
+                output_text)
 
         user = FakeUser(['fi-apprentice'], username='kevin')
         with user_set(fedocal.APP, user):
             output = self.app.get('/meeting/edit/1/', follow_redirects=True)
             self.assertEqual(output.status_code, 200)
-            self.assertTrue(
+            output_text = output.get_data(as_text=True)
+            self.assertIn(
                 '<li class="errors">You are not one of the manager of this '
-                'meeting, or an admin, you are not allowed to edit it.</li>'
-                in output.data)
-            self.assertTrue(
-                '<title>Meeting "Fedora-fr-test-meeting" - Fedocal</title>'
-                in output.data)
+                'meeting, or an admin, you are not allowed to edit it.</li>',
+                output_text)
+            self.assertIn(
+                '<title>Meeting "Fedora-fr-test-meeting" - Fedocal</title>',
+                output_text)
 
         user = FakeUser(['fi-apprentice'], username='pingou')
         with user_set(fedocal.APP, user):
             output = self.app.get('/meeting/edit/1/')
             self.assertEqual(output.status_code, 200)
-            self.assertTrue(
-                '<title>Edit meeting - Fedocal</title>' in output.data)
-            self.assertTrue(
-                'meeting_name">Meeting name</label>' in output.data)
-            self.assertTrue(
-                'for="meeting_date">Date</label>' in output.data)
+            output_text = output.get_data(as_text=True)
+            self.assertIn(
+                '<title>Edit meeting - Fedocal</title>', output_text)
+            self.assertIn(
+                'meeting_name">Meeting name</label>', output_text)
+            self.assertIn(
+                'for="meeting_date">Date</label>', output_text)
             self.assertEqual(
-                output.data.count('<span class="required">*</span>'), 6)
+                output_text.count('<span class="required">*</span>'), 6)
 
-            csrf_token = output.data.split(
+            csrf_token = output_text.split(
                 'name="csrf_token" type="hidden" value="')[1].split('">')[0]
 
             # Meeting should have a name
@@ -1682,8 +1791,9 @@ class Flasktests(Modeltests):
             output = self.app.post('/meeting/edit/1/', data=data,
                                    follow_redirects=True)
             self.assertEqual(output.status_code, 200)
-            self.assertTrue(
-                '<td>This field is required.</td>' in output.data)
+            output_text = output.get_data(as_text=True)
+            self.assertIn(
+                '<td>This field is required.</td>', output_text)
 
             # No calendar provided
             data = {
@@ -1700,10 +1810,11 @@ class Flasktests(Modeltests):
             output = self.app.post('/meeting/edit/1/', data=data,
                                    follow_redirects=True)
             self.assertEqual(output.status_code, 200)
-            self.assertTrue(
-                '<td>Not a valid choice</td>' in output.data)
-            self.assertTrue(
-                '<title>Edit meeting - Fedocal</title>' in output.data)
+            output_text = output.get_data(as_text=True)
+            self.assertIn(
+                '<td>Not a valid choice</td>', output_text)
+            self.assertIn(
+                '<title>Edit meeting - Fedocal</title>', output_text)
 
             # End date earlier than the start date
             data = {
@@ -1721,11 +1832,12 @@ class Flasktests(Modeltests):
             output = self.app.post('/meeting/edit/1/', data=data,
                                    follow_redirects=True)
             self.assertEqual(output.status_code, 200)
-            self.assertTrue(
+            output_text = output.get_data(as_text=True)
+            self.assertIn(
                 '<li class="warnings">The start date of your meeting is '
-                'later than the stop date.</li>' in output.data)
-            self.assertTrue(
-                '<title>Edit meeting - Fedocal</title>' in output.data)
+                'later than the stop date.</li>', output_text)
+            self.assertIn(
+                '<title>Edit meeting - Fedocal</title>', output_text)
 
             # Works
             data = {
@@ -1742,10 +1854,11 @@ class Flasktests(Modeltests):
             output = self.app.post('/meeting/edit/1/', data=data,
                                    follow_redirects=True)
             self.assertEqual(output.status_code, 200)
-            self.assertTrue(
-                '<li class="message">Meeting updated</li>' in output.data)
-            self.assertTrue(
-                '<title>Meeting "guess what?" - Fedocal</title>' in output.data)
+            output_text = output.get_data(as_text=True)
+            self.assertIn(
+                '<li class="message">Meeting updated</li>', output_text)
+            self.assertIn(
+                '<title>Meeting "guess what?" - Fedocal</title>', output_text)
 
             # Calendar disabled
             data = {
